evhtp_request_t Struct Reference

a structure containing all information for a http request. More...

`#include <evhtp.h>`

## Public Member Functions

| TAILQ_ENTRY (evhtp_request_s) next

## Data Fields

evhtp_t * | htp
| the parent evhtp_t structure More...
evhtp_connection_t * | conn
| the associated connection More...
evhtp_hooks_t * | hooks
| request specific hooks More...
evhtp_uri_t * | uri
| request URI information More...
struct evbuffer * | buffer_in
| buffer containing data from client More...
struct evbuffer * | buffer_out
| buffer containing data to client More...
evhtp_headers_t * | headers_in
| headers from client More...
evhtp_headers_t * | headers_out
| headers to client More...
evhtp_proto | proto
| HTTP protocol used. More...
htp_method | method
| HTTP method used. More...
evhtp_res | status
| The HTTP response code or other error conditions. More...
uint16_t | flags
evhtp_callback_cb | cb
| the function to call when fully processed More...
void * | cbarg
| argument which is passed to the cb function More...

## Detailed Description

a structure containing all information for a http request.

Definition at line 404 of file evhtp/evhtp.h.

## Member Function Documentation

## TAILQ_ENTRY()

evhtp_request_t::TAILQ_ENTRY | ( | evhtp_request_s |  | ) |

## Field Documentation

## buffer_in

struct evbuffer* evhtp_request_t::buffer_in

buffer containing data from client

Definition at line 409 of file evhtp/evhtp.h.

## buffer_out

struct evbuffer* evhtp_request_t::buffer_out

buffer containing data to client

Definition at line 410 of file evhtp/evhtp.h.

## cb

evhtp_callback_cb evhtp_request_t::cb

the function to call when fully processed

Definition at line 422 of file evhtp/evhtp.h.

## cbarg

void* evhtp_request_t::cbarg

argument which is passed to the cb function

Definition at line 423 of file evhtp/evhtp.h.

## conn

evhtp_connection_t* evhtp_request_t::conn

the associated connection

Definition at line 406 of file evhtp/evhtp.h.

## flags

uint16_t evhtp_request_t::flags

Definition at line 420 of file evhtp/evhtp.h.

## headers_in

evhtp_headers_t* evhtp_request_t::headers_in

headers from client

Definition at line 411 of file evhtp/evhtp.h.

## headers_out

evhtp_headers_t* evhtp_request_t::headers_out

headers to client

Definition at line 412 of file evhtp/evhtp.h.

## hooks

evhtp_hooks_t* evhtp_request_t::hooks

request specific hooks

Definition at line 407 of file evhtp/evhtp.h.

## htp

evhtp_t* evhtp_request_t::htp

the parent evhtp_t structure

Definition at line 405 of file evhtp/evhtp.h.

## method

htp_method evhtp_request_t::method

HTTP method used.

Definition at line 414 of file evhtp/evhtp.h.

## proto

evhtp_proto evhtp_request_t::proto

HTTP protocol used.

Definition at line 413 of file evhtp/evhtp.h.

## status

evhtp_res evhtp_request_t::status

The HTTP response code or other error conditions.

Definition at line 415 of file evhtp/evhtp.h.

## uri

evhtp_uri_t* evhtp_request_t::uri

request URI information

Definition at line 408 of file evhtp/evhtp.h.

The documentation for this struct was generated from the following file:

- evhtp/evhtp.h